#!/bin/bash

INSTALLED=""

cat speedtest.desc | grep -v ^\# | while read line; do
    FILENAME=$(echo $line | cut -d ' ' -f 1)
    PACKETSIZE=$(echo $line | cut -d ' ' -f 2)
    PACKETYPE=$(echo $line | cut -d ' ' -f 3)
    RUNS=$(echo $line | cut -d ' ' -f 4)

    for i in `seq 1 $RUNS`; do
	if [ ! -e speedresults/${FILENAME}-$i.out ]; then
	    if [ x${INSTALLED} != x${FILENAME} ]; then
		pushd ../../apps/BTSpeedTest
		rm params.h
		echo "const int packet_type = $PACKETYPE;" > params.h
		echo "const int packet_size = $PACKETSIZE;" >> params.h
		su - ksm -c "cd $TOSDIR/../contrib/hogthrob/apps/BTSpeedTest; make btnode2_2 install"
		popd
		INSTALLED=${FILENAME}
		echo Installed ${INSTALLED}...
	    fi

	    while ! ./btspeedtest ${PACKETSIZE}000 > speedresults/$FILENAME-$i.out; do
		echo Sleeping...
		sleep 1;
	    done;
	    sleep 4;
	fi
    done
done