#include <sys/time.h>
#include "protocol.h"

#ifndef OUTDATA_H
#define OUTDATA_H

struct header_t {
  uint16_t init_data_count;
  uint16_t pages;
} __attribute__((packed));

struct received_pages_t {
  bool received;
  uint8_t data[SPM_PAGESIZE];
} __attribute__((packed));

struct init_data_t {
  struct timeval receive_time;
  struct n2s_init init_data;
} __attribute__((packed));

#endif
